########################################################################
#
# File Name:            Resource.py
#
# Documentation:        http://docs.4suite.org/4Rdf/Resource.py.html
#
"""
RDF Resource
WWW: http://4suite.org/4RDF         e-mail: support@4suite.org

Copyright (c) 1999 Fourthought, Inc., USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""


from Ft.Rdf import BNODE_BASE, BNODE_BASE_LEN


class Resource:
    def __init__(self, uri, label=''):
        self.uri = uri
        self.label = label
        return

    def isAnonymous(self):
        return self.uri[:BNODE_BASE_LEN] == BNODE_BASE

    isBnode = isAnonymous
    
    def __repr__(self):
        st = '<RDF Resource at %s: [URI: %s]>'%(id(self), self.uri)
        return st


