########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/Add/Alias.py,v 1.7 2003/06/15 14:21:48 mbrown Exp $
"""
Implementation of '4ss add alias' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Creates a new Alias for an existing resource in the 4Suite repository."""

# Why is this an 'add' and not a 'create'?

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil

def Run(options, args):

    try:
        commit = 0
        repo = CommandUtil.GetRepository(options, '4ss.add.alias')
        try:
            res = repo.fetchResource(args['sourcePath'])
            res.addAlias(args['alias'])
            commit = 1
        finally:
            try:
                if commit:
                    repo.txCommit()
                else:
                    repo.txRollback()
            except:
                pass

    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')
        return


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('alias',
                          """Creates a new Alias for an existing resource in the 4Suite repository.""",
                          '/path/to/docAlias.rdf /path/to/actualDoc.rdf',
                          __doc__,
                          function = Run,
                          arguments = [Arguments.RequiredArgument('alias',
                                                                  "The full repository path of the new alias.",
                                                                  str),
                                       Arguments.RequiredArgument('sourcePath',
                                                                  "The path to the resource being aliased.",
                                                                  str),
                                       ],

                          fileName = __file__,
                          )
    return cmd

