########################################################################
#
# File Name:            Agent.py
#
"""
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2002 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

__doc__ = """This command will set environment variables in a new shell so \
that you do not need to login as a user for all subsequent invocations of \
4ss command-line scripts. This command is an alternative to the login \
command."""

import os, sys, sha, getpass
from Ft.Server.Client import Core, FtServerClientException

def TextAgent(options, args):
    userName = raw_input('Username: ')
    password = sha.new(getpass.getpass()).hexdigest()
    host = raw_input('Host <localhost>: ')
    host = host  or 'localhost'
    port = raw_input('Port <%i>: ' % Core.FTRPC_PORT)
    port = int(port or Core.FTRPC_PORT)

    try:
        # Verify username/password combo
        repo = Core.GetRepository(userName,password,host,port)
    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')
        return
    else:
        repo.txRollback()

    os.environ['FTSS_AGENT'] = repr((userName,password,host,port))

    shell = args.get('shell')
    if not shell:
        shell = os.environ.get('SHELL')
    if not shell:
        shell = os.environ.get('shell')

    if not shell and os.name == 'posix':
        shell = '/bin/sh'
    elif not shell:
        shell = os.environ.get('COMSPEC')
        if not shell:
            shell = 'COMMAND.COM'

    print "Starting new shell: %s" % shell
    os.system(shell)



def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('agent',
                          'Set username and password in a subshell',
                          '',
                          __doc__,
                          function = TextAgent,
                          arguments = [Arguments.OptionalArgument('shell',
                                                                  'name of shell to execute (default is system specific)',
                                                                  str),
                                       ],

                          fileName = __file__,
                          )
    return cmd

