########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/Create/Container.py,v 1.8 2003/03/28 21:24:21 mbrown Exp $
"""
Implementation of '4ss create container' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Creates a new Container in the 4Suite repository."""

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil


def Run(options, args):
    try:
        commit = 0
        repo = CommandUtil.GetRepository(options, '4ss.create.container')
        try:
            repo.createContainer(args['name'], options.get('create-parents') != None)
            commit = 1
        finally:
            try:
                if commit:
                    repo.txCommit()
                else:
                    repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('container',
                          'Creates a new Container in the 4Suite repository.',
                          '/documents',
                          __doc__,
                          function=Run,
                          arguments=[Arguments.RequiredArgument('name',
                                                                'The name (repo path) of container to create',
                                                                str),
                                     ],
                          options=Options.Options([Options.Option('r',
                                                                  'create-parents',
                                                                  'Recursively build all parent containers to complete the path.'),
                                                   ]),
                          fileName=__file__,
                          )
    return cmd

