__doc__ = """This command will create a resource in a 4Suite repository. \
It requires a subcommand specifying which type of resource to create. \
See the help message for one of the subcommands for specific usage info."""

import RawFile
import User
import Group
import Container
import Document
import UriReference

g_subCommands = [Container,
                 User,
                 Group,
                 Document,
                 RawFile,
                 UriReference,
                 ]

def Register():
    from Ft.Lib.CommandLine import Options, Command
    sc = map(lambda x:x.Register(),g_subCommands)
    cmd = Command.Command('create',
                          "Create a resource in the repository",
                          None,
                          __doc__,
                          subCommands = sc,
                          fileName = __file__,
                          )
    return cmd
