########################################################################
#
# File Name:            Update.py
#
"""
Update a resource in the repository
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2002 Fourthought Inc., USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""


__doc__ = """This command will replace the content of a resource in a \
4Suite repository, reading in the new content from a local file. A \
subcommand specifying which type of resource to update is required.
See the help message for a subcommand for specific usage info. If you \
have not used the agent or login commands, you will be prompted for a \
username and password of someone who has write access on the resource."""  

import Document
import RawFile
import Extension

g_subCommands = [
   Document,
   RawFile,
   Extension,
   ]


def Register():
    from Ft.Lib.CommandLine import Options, Command
    sc = map(lambda x:x.Register(),g_subCommands)
    cmd = Command.Command('update',
                          "Update the content of a resource in the repository",
                          None,
                          __doc__,
                          subCommands = sc,
                          fileName = __file__,
                          )
    return cmd

