import os, sha, getpass

def UserAuthenticate(level=None,options=None,prompt = "User",promptOnly = 0):
    """Gather the user information from command line and environment options"""

    options = options or {}

    #See if there is an overide on the command line
    if options.has_key('anonymous') and not promptOnly:
        return (None,None)
    
    username = options.get('username')

    #See if it is in an agent
    if not username and os.environ.has_key('FTSS_AGENT') and not promptOnly:
        return eval(os.environ['FTSS_AGENT'])


    #See if it is in the environemt
    if not username and not promptOnly:
        username = os.environ.get('FTSS_USERNAME')

    #Nope, ask for it
    if not username:
        username = raw_input("4SS %s Name: " % prompt)

    #Now look for it in the passwd file
    password = None

    if not promptOnly:
        pm = PasswdManager()
        password,t,t = pm.getPassword(username)


    if not password:
        password = sha.new(getpass.getpass("Password for %s: " % username)).hexdigest()
    return (username, password)



class PasswdManager:
    def __init__(self):
        self._getFileName()


    def setUser(self,userName,passwd,hostName,port):
        entries = self._readEntries()
        entries[userName] = (passwd,hostName,port)
        self._writeEntries(entries)

    def getPassword(self,userName):
        entries = self._readEntries()
        return entries.get(userName,(None,None,0))

    def _getFileName(self):
        #See if there is an environ override

        passwdFileName = os.environ.get('FTSS_PASSWORD_FILE')
        if not passwdFileName:
            #Get the home directory
            #FIXME support for non-linux
            home_dir = os.environ.get('HOME')
            if not home_dir:
                home_dir = os.environ.get('WINDIR')
            if not home_dir:
                 pfile = os.environ.get('FTSERVER_PASSWORD_FILE')
                 if not pfile:
                    raise Exception('Please define FTSERVER_PASSWORD_FILE')
            self._passwdFileName = os.path.join(home_dir, ".4ss.passwd")



    def _readEntries(self):
        if not os.path.exists(self._passwdFileName): return {}
        file = open(self._passwdFileName)
        entries = {}
        for line in file.readlines():
            fields = line.split(':')
            if len(fields) != 2:
                continue
            data = fields[1][:-1].split(',')
            if len(data) != 3:
                continue
            entries[fields[0]] = (data[0],data[1],int(data[2]))
        file.close()
        return entries

    def _writeEntries(self,entries):
        file = open(self._passwdFileName,'w')
        for name,(hash,host,port) in entries.items():
            file.write("%s:%s,%s,%d\n"%(name,hash,host,port))
        file.close()
        return

        




