########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Common/Util.py,v 1.8 2003/02/26 05:05:58 uogbuji Exp $
"""
Common (client and server) utilities for repo code

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""


try:
    IMT_MAP = {}
    imt_file = open('/etc/mime.types', 'r')
    for line in imt_file.readlines():
        if line[0] == '#':
            continue
        splitl = line.split()
        if len(splitl) < 2:
            continue
        imt = splitl[0]
        for ext in splitl[1:]:
            IMT_MAP[ext] = imt
except:
    IMT_MAP = {
        '.xml' : 'text/xml',
        '.xsl' : 'text/xml',
        '.xslt': 'text/xml',
        '.rdf' : 'text/xml',

        '.html': 'text/html',
        '.xhtml': 'text/html',

        '.gif' : 'image/gif',
        '.png' : 'image/png',
        '.jpg' : 'image/jpeg',
        '.jpeg': 'image/jpeg',
        '.svg' : 'image/svg',
#        '': '',
        }

#Get user's namespace mappings
from Ft.Xml import Domlette
from Ft.Xml import XPath

DASHBOARD_NS = "http://chimezie.ogbuji.net/4ss/tools/dashboard/schema#"

NSM_NSM = {'fres': 'http://xmlns.4suite.org/reserved'}

PREFIXES = XPath.Compile("/fres:NsMappings/fres:NsMapping/Prefix/text()")
URIS = XPath.Compile("/fres:NsMappings/fres:NsMapping/Uri/text()")

def GetUserNsMappings(repo, baseMappings=None):
    ns_map = baseMappings and baseMappings.copy() or {}
    model = repo.getModel()
    username = repo.getCurrentUser()
    if not username: return {}
    user = username.getAbsolutePath()
    stmts = model.complete(user, DASHBOARD_NS+"ns-mappings", None)
    if stmts:
        nsm_res = repo.fetchResource(stmts[0].object)
        content = nsm_res.getContent()
        nsm_doc = Domlette.NonvalidatingReader.parseString(
            content, stmts[0].object
            )
        con = XPath.Context.Context(nsm_doc, processorNss=NSM_NSM)
        prefixes = PREFIXES.evaluate(con)
        uris = URIS.evaluate(con)
        #FIXME: Dangerous under arcane conditions where processor
        #Divides elements into multiple text children
        #FIXME: Also relies on ordering of node sets
        for i in range(len(prefixes)):
            ns_map[prefixes[i].data] = uris[i].data
    return ns_map


