########################################################################
#
# File Name:            XmlLib.py
#
# Documentation:        http://docs.4suite.org/4SS/XmlLib.py.html
#
"""
XML parsing abstraction layer
WWW: http://4suite.org         e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought, Inc. USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

import types


def MakeString(st):
    """
    This is for internal calls only.  It will make sure that internally created XML is UTF-8 safe.
    This assumes that there is no prolog on the string.  If, the object is unicode then we will encode
    it to UTF-8 and adjust the prolog.  If not, we will add on a default prolog
    """
    prologue = '<?xml version="1.0"'
    if type(st) == types.UnicodeType:
        prologue += ' encoding="UTF-8"'
        st = st.encode('utf8')
    prologue += '?>\n'
    return prologue  + st

##def CompileSchematron(src, baseUri):
##    return ParseSchematron(src, baseUri).root


##def ParseStylesheet(baseObject, src):
##    from Ft.Server.Server.SCore import Readers
##    reader = Readers.StylesheetReader(baseObject)
##    comp = reader.fromString(src, refUri=baseObject.getAbsolutePath())
##    return comp


##def CompileStylesheet(baseObject, src):
##    return ParseStylesheet(baseObject, src).root


##def ParseXml(src, stripElements=None):
##    reader = FtssInputSource.NonvalidatingReader
##    comp = reader.fromString(src, stripElements=stripElements)
##    return comp

