
import os, sha, getpass, posixpath

from Ft.Server.Server import SCore
from Ft.Server.Common import AclConstants, Schema
from Ft.Server.Server.Lib import ConfigFile, LogUtil

def GetRepository(options, cmdName):
    coreId = options.get('core-id',os.environ.get('FTSS_CORE_ID', 'Core'))
    properties = ConfigFile.Read(options.get('config-file'))
    properties = properties[coreId]

    userName = None

    if options.has_key('username'):
        userName = options['username']

    #Nope, ask for it
    if not userName:
        userName = raw_input("4SS Manager Name: ")

    passwdHash = None
    if options.has_key('password'):
        passwdHash = sha.new(options['password']).hexdigest()

    if passwdHash is None:
        passwdHash = sha.new(getpass.getpass("Password for %s: " % userName)).hexdigest()

    repo = SCore.GetRepository(userName, passwdHash, LogUtil.NullLogger(),
                               properties, verify=1)

    #Verify that the command can be run
    #verifyCommand(repo,cmdName)
    cmd = repo.getCommand(cmdName)
    if cmd is None:
        raise ValueError("Unknown Command: %s" % cmdName)
    cmd.verifyAcl(AclConstants.EXECUTE_ACCESS,0)
    return userName,passwdHash,properties,repo


