<?xml version = "1.0"?>
<xsl:stylesheet version='1.0' 
    xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
    xmlns:xlink="http://www.w3.org/XML/XLink/0.9"
>
<xsl:output method="html"/>

<xsl:template match='/'>

    	<xsl:apply-templates/>

</xsl:template>

<xsl:template match='usecases'>
	<table width="85%" cellspacing="0%" cellpadding="0%">
		<tr><h2><xsl:value-of select="@name"/></h2></tr>
		<xsl:apply-templates/>
	</table>
</xsl:template>

<xsl:template match='usecase'>
	<table border="1"><td>
	<table width="85%" cellspacing="0%" cellpadding="0%">
		<tr><th colspan="2" width="100%" align="center"><strong>Use Case: </strong> <xsl:value-of select='@name'/></th></tr>
		<tr><td><br class='hack'/></td></tr>

		<tr>
			<th>Actor(s):</th>
			<td><xsl:value-of select='@actor'/></td>
		</tr>

		<tr><td><br class='hack'/></td></tr>

		<tr>
			<th>
				Preconditions:
			</th>
			<td> 
				<ul>
					<xsl:for-each select='usecase-precondition'>
						<li><xsl:value-of select='@value'/></li>
					</xsl:for-each>
				</ul>
			</td>

		</tr>

		<tr><td><br class='hack'/></td></tr>

		<xsl:for-each select='usecase-eventflow'>
		<tr>
			<th>
				Event Flow for <xsl:value-of select='@actor'/>
			</th>
			<td>
				<xsl:apply-templates select='.'/>
			</td>
		</tr>
		<tr><td><br class='hack'/></td></tr>
		</xsl:for-each>

	</table>
	</td></table>
	<br class='hack'/>
</xsl:template>

<xsl:template match='usecase-eventflow'>
	<ul>
		<xsl:for-each select='usecase-event'>
			<li><xsl:value-of select='@value'/></li>
		</xsl:for-each>
	</ul>
</xsl:template>

</xsl:stylesheet>