<?xml version="1.0"?>
<!--

 File Name:            api-typedef.xslt

 Documentation:        http://docs.4suite.com/stylesheets/api-typedef.xslt.html

 Stylesheet to generate 4Suite API docs
 WWW: http://4suite.com/4XSLT        e-mail: support@4suite.com

 Copyright (c) 1999-2000 Fourthought Inc, USA.   All Rights Reserved.
 See  http://4suite.com/COPYRIGHT  for license and copyright information
-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:tech="http://namespaces.fourthought.com/technical"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  version="1.0"
>

  <xsl:template match="tech:TypeDef">
    <xsl:call-template name="name-desc">
      <xsl:with-param name='extra'>Type Definition </xsl:with-param>
    </xsl:call-template>
    <PRE><xsl:text>typedef </xsl:text><xsl:apply-templates select="tech:Type"/><xsl:text> </xsl:text><xsl:value-of select="tech:Name"/></PRE><BR/>
  </xsl:template>

  <xsl:template match="tech:Constant">
    <xsl:call-template name="name-desc">
      <xsl:with-param name='extra'>Constant </xsl:with-param>
    </xsl:call-template>
    <PRE><xsl:apply-templates select="tech:Type"/><xsl:text> </xsl:text><xsl:value-of select="tech:Name"/><xsl:text> = </xsl:text><xsl:value-of select="tech:Value"/></PRE><BR/>
  </xsl:template>

  <xsl:template match="tech:Enum">
    <xsl:call-template name="name-desc">
      <xsl:with-param name='extra'>Enumeration </xsl:with-param>
    </xsl:call-template>
    <UL>
      <xsl:for-each select="tech:Entry">
        <LI><xsl:value-of select="."/></LI>
      </xsl:for-each>
    </UL>
  </xsl:template>


  <xsl:template match="tech:Union">
    <xsl:call-template name="name-desc">
      <xsl:with-param name='extra'>Union </xsl:with-param>
    </xsl:call-template>

    <B>Switch on: </B><xsl:apply-templates select="tech:Switch"/>
    <DL>
    <xsl:for-each select="tech:Case">
      <DT>
        <xsl:text>Case: </xsl:text><xsl:value-of select="tech:Name"/>
            of type
        <I><xsl:apply-templates select='tech:Type | tech:Reference'/></I><BR/>
      </DT>
      <DD>
        <xsl:apply-templates select="tech:Value"/>
      </DD>
    </xsl:for-each>
    </DL>
  </xsl:template>

</xsl:stylesheet>