<?xml version = "1.0"?>
<xsl:stylesheet version='1.0' 
    xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
    xmlns:xlink="http://www.w3.org/XML/XLink/0.9"
    xmlns:nexus='http://nexus.fourthought.com'
>
<xsl:output method="text"/>

<xsl:template match='/'>
    <table>
        <xsl:apply-templates />
    </table> 
</xsl:template>

<xsl:template match='nexus:clientInfo'>
	<tr>
	    <td collspan="2">
		Client: <i><a href='{@page}'><xsl:value-of select= "@name"/></a></i>
	    </td>
	</tr>
	<tr>
	    <td>
		<xsl:apply-templates select='nexus:client-contacts'/>	    	
	    </td>
	    <td>
		<xsl:apply-templates select='nexus:consultation'/>
	    </td>
	</tr>
	<tr>
	    <td collspan = "2">
	    	<xsl:apply-templates select='nexus:client-links' />
	    </td>
	</tr>
</xsl:template>

<xsl:template match='nexus:client-contacts'>
    <table border="1">
	<td>
    	    <xsl:for-each select='nexus:client-contact'>
		<u><i><xsl:value-of select='@type'/></i></u>:<br class='hack'/><strong><xsl:value-of
select='@name' /></strong>, <xsl:value-of select='.' /><br class='hack'/>
    	    </xsl:for-each>
	</td>
    </table>
</xsl:template>

<xsl:template match='nexus:consultation'>
    <table border="2">
	<td>
	    <u><i>Technical Lead: </i></u><br class='hack'/><strong><xsl:value-of select='@techlead'/></strong><br
class='hack'/>
	    <u><i>Project Manager: </i></u><br class='hack'/><strong><xsl:value-of select='@projmanage'/></strong><br
class='hack'/>
	</td>
    </table>
</xsl:template>

<xsl:template match='nexus:client-links'>
    <table>
	<td>
	    <xsl:for-each select='nexus:client-link'>
	    	(<xsl:value-of select='@name'/>) <a href='{@link}'><xsl:value-of select='@link'/></a><br class='hack'/>
	    </xsl:for-each>
	</td>
    </table>
</xsl:template>
</xsl:stylesheet>
