<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:wh="http://namespaces.fourthought.com/web-help"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  version="1.0"
>

  <xsl:variable name='doccssstyle'>
    <xsl:comment>
      BODY        {background: white}
      H1          {font-size: 200%;
                   font-family: sans-serif;
                   color: blue;
                   text-align: center}
      DIV.FIELD   {font-family: sans-serif;
                   margin-left: 0.5em;
                   padding-left: 0.5em;
                   border-left-width: 2px;
                   border-style: solid;
                   border-color: #ccccee; }
    </xsl:comment>
  </xsl:variable>

  <xsl:import href='docbook_html1.xslt'/>

  <xsl:output method="html"/>

  <xsl:template match="/">
    <HTML>
    <HEAD>
      <TITLE><xsl:value-of select='*/wh:Title'/></TITLE>
      <STYLE TYPE='text/css'>
        <xsl:copy-of select='$doccssstyle'/>
      </STYLE>
    </HEAD>
    <BODY>
      <BR/>
      <H1><xsl:value-of select='*/wh:Title'/></H1>
      <xsl:apply-templates/>
    </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="wh:Field">
    <DIV class='FIELD'>
      <B><xsl:value-of select='wh:Name'/></B>:
      <I><xsl:value-of select='wh:Title'/></I>
      <BLOCKQUOTE><xsl:value-of select='wh:Description'/></BLOCKQUOTE>
    </DIV>
  </xsl:template>

  <xsl:template match="wh:Title"/>

</xsl:stylesheet>
