from Ft.Xml import HAS_PYEXPAT

from Ft.Xml import FtMiniDom
from Ft.Xml import cDomlette

from test_domlette_interfaces import test_interface, test_access, test_mutate, test_reader_access
from test_domlette_readers import test_reader
from test_domlette_memory import test_memory
#from test_catalog import test_catalog

DOC = """<?xml version = "1.0"?>
<?xml-stylesheet href="addr_book1.xsl" type="text/xml"?>
<docelem xmlns:ft='http://fourthought.com'>
  <child foo='bar'>Some Text</child>
  <!--A comment-->
  <ft:nschild ft:foo='nsbar'>Some More Text</ft:nschild>
  <appendChild/>
</docelem>
"""

def test_module(tester, domMod):
    test_interface(tester, domMod)
    test_access(tester, domMod)
    test_mutate(tester, domMod)
    test_reader(tester, domMod)
    test_reader_access(tester, domMod, DOC)
    #test_catalog(tester, domMod)
    #test_writer(tester, domMod)
    return

def Test(tester):

    tester.startGroup("cDomlette")
    test_module(tester, cDomlette)
    test_memory(tester, cDomlette)
    tester.groupDone()

    if HAS_PYEXPAT:
        tester.startGroup("FtMiniDom")
        test_module(tester, FtMiniDom)
        tester.groupDone()

    return

if __name__ == '__main__':
    from Ft.Lib.TestSuite import Tester
    tester = Tester.Tester()
    Test(tester)
