import cStringIO
from Xml.Xslt import test_harness

sheet_str = """<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">

  <xsl:include href='Xml/Xslt/Core/addr_book1.xsl'/>

  <xsl:template match='PHONENUM' priority='10'>
    <xsl:element name='p'>
      <xsl:attribute name='align'>center</xsl:attribute>
      <xsl:value-of select='@DESC'/><xsl:text>: </xsl:text>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

</xsl:stylesheet>
"""

expected = """<html>
  <head>
    <meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'>
    <title>Address Book</title>
  </head>
  <body>
    <h1>Tabulate Just Names and Phone Numbers</h1>
    <table>
      <tr>
        <td align='center'><b>Pieter Aaron</b></td>
        <td><p align='center'>Work: 404-555-1234</p><p align='center'>Fax: 404-555-4321</p><p align='center'>Pager: 404-555-5555</p></td>
      </tr>
      <tr>
        <td align='center'><b>Emeka Ndubuisi</b></td>
        <td><p align='center'>Work: 767-555-7676</p><p align='center'>Fax: 767-555-7642</p><p align='center'>Pager: 800-SKY-PAGEx767676</p></td>
      </tr>
      <tr>
        <td align='center'><b>Vasia Zhugenev</b></td>
        <td><p align='center'>Work: 000-987-6543</p><p align='center'>Cell: 000-000-0000</p></td>
      </tr>
    </table>
  </body>
</html>"""


def Test(tester):

    source = test_harness.FileInfo(uri="Xml/Xslt/Core/addr_book1.xml")
    sty = test_harness.FileInfo(string=sheet_str)
    test_harness.XsltTest(tester, source, [sty], expected,
                          title='xsl:include')

    return
