########################################################################
#
# File Name:            NullWriter.py
#
# Documentation:        http://docs.4suite.org/4XSLT/NullWriter.py.html
#
"""
Implements an empty writer for XSLT processor output
WWW: http://4suite.org/4XSLT        e-mail: support@4suite.org

Copyright (c) 1999-2001 Fourthought Inc., USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

from OutputParameters import OutputParameters

class NullWriter:
    def __init__(self, outputParams=None):
        self._outputParams = outputParams or OutputParameters()
        return

    def getMediaType(self):
        return self._outputParams.mediaType

    def getStream(self):
        return None

    def getResult(self):
        return ''

    def startDocument(self):
        return

    def endDocument(self):
        return
    
    def text(self, text, escapeOutput=1, asis=0):
        return
    
    def attribute(self, name, value, namespace=None):
        return

    def processingInstruction(self, target, data):
        return

    def comment(self, body):
        return

    def startElement(self, name, namespace=None, extraNss=None):
        return

    def endElement(self, name):
        return

    def namespace(self, prefix, namespace):
        return

